Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.addressing
Interface AddressingConstants

All Known Implementing Classes:
  AddressingBasedDispatcher, AddressingBasedDispatcher

    public interface AddressingConstants

Interface AddressingConstants

Nested Class Summary
`static interface` | `AddressingConstants.Final`
`static interface` | `AddressingConstants.Submission`

Field Summary
`static java.lang.String` | `ACTION_ATTRIBUTES` A property pointing to an ArrayList of OMAttribute objects representing any attributes of the wsa:Action header.
`static java.lang.String` | `ADD_MUST_UNDERSTAND_TO_ADDRESSING_HEADERS`
`static java.lang.String` | `ADDR_VALIDATE_ACTION`
`static java.lang.String` | `ADDR_VALIDATE_INVOCATION_PATTERN`
`static java.lang.String` | `ADDRESSING_IDENTITY_NS`
`static java.lang.String` | `ADDRESSING_IDENTITY_PREFIX`
`static java.lang.String` | `ADDRESSING_OPTIONAL`
`static java.lang.String` | `ADDRESSING_REQUIRED`
`static java.lang.String` | `ADDRESSING_REQUIREMENT_PARAMETER`
`static java.lang.String` | `ADDRESSING_UNSPECIFIED`
`static java.lang.String` | `ANONYMOUS`
`static java.lang.String` | `DISABLE_ADDRESSING_FOR_IN_MESSAGES`
`static java.lang.String` | `DISABLE_ADDRESSING_FOR_OUT_MESSAGES`
`static java.lang.String` | `DISABLE_OUTBOUND_ADDRESSING_VALIDATION` This property, if set to Boolean.TRUE, will mean that the addressing handler allows partially ws-addressed messages to be sent even if they are then invalid rather than throwing a fault.
`static java.lang.String` | `DISABLE_REF_PARAMETER_EXTRACT` This parameter is used to decide whether the reference parameters in an inbound request message are to be processed or not.
`static java.lang.String` | `ENDPOINT_REFERENCE`
`static java.lang.String` | `EPR_ADDRESS`
`static java.lang.String` | `EPR_REFERENCE_PARAMETERS`
`static java.lang.String` | `EPR_SERVICE_NAME`
`static java.lang.String` | `FAULT_ACTION_NOT_SUPPORTED`
`static java.lang.String` | `FAULT_ACTION_NOT_SUPPORTED_REASON`
`static java.lang.String` | `FAULT_ADDRESSING_DESTINATION_UNREACHABLE`
`static java.lang.String` | `IDENTITY`
`static java.lang.String` | `IDENTITY_KEY_INFO`
`static java.lang.String` | `IDENTITY_PARAMETER`
`static java.lang.String` | `IDENTITY_X509_CERT`
`static java.lang.String` | `IDENTITY_X509_DATA`
`static java.lang.String` | `INCLUDE_OPTIONAL_HEADERS` When set to Boolean.TRUE this will cause the addressing out handler to output all populated addressing headers in a message, including any optional ones.
`static java.lang.String` | `IS_ADDR_INFO_ALREADY_PROCESSED`
`static java.lang.String` | `MESSAGEID_ATTRIBUTES` A property pointing to an ArrayList of OMAttribute objects representing any attributes of the wsa:MessageID header.
`static java.lang.String` | `PARAM_SERVICE_GROUP_CONTEXT_ID`
`static javax.xml.namespace.QName` | `QNAME_IDENTITY`
`static javax.xml.namespace.QName` | `QNAME_IDENTITY_KEY_INFO`
`static javax.xml.namespace.QName` | `QNAME_IDENTITY_X509_CERT`
`static javax.xml.namespace.QName` | `QNAME_IDENTITY_X509_DATA`
`static java.lang.String` | `REFERENCE_PARAMETER_PARAMETER` This parameter is used to attach OMElement ReferenceParameters found in an EPR embedded in a WSDL to an AxisEndpoint object.
`static java.lang.String` | `REPLACE_ADDRESSING_HEADERS`
`static java.lang.String` | `SOAP_ROLE_FOR_ADDRESSING_HEADERS`
`static java.lang.String` | `USING_ADDRESSING`
`static java.lang.String` | `WS_ADDRESSING_VERSION`
`static java.lang.String` | `WSA_ACTION`
`static java.lang.String` | `WSA_DEFAULT_PREFIX`
`static java.lang.String` | `WSA_FAULT_TO`
`static java.lang.String` | `WSA_FROM`
`static java.lang.String` | `WSA_MESSAGE_ID`
`static java.lang.String` | `WSA_RELATES_TO`
`static java.lang.String` | `WSA_RELATES_TO_RELATIONSHIP_TYPE`
`static java.lang.String` | `WSA_REPLY_TO`
`static java.lang.String` | `WSA_TO`
`static java.lang.String` | `WSAM_INVOCATION_PATTERN_ASYNCHRONOUS`
`static java.lang.String` | `WSAM_INVOCATION_PATTERN_BOTH`
`static java.lang.String` | `WSAM_INVOCATION_PATTERN_PARAMETER_NAME`
`static java.lang.String` | `WSAM_INVOCATION_PATTERN_SYNCHRONOUS`
`static java.lang.String` | `XML_SIG_NS`
`static java.lang.String` | `XML_SIG_PREFIX`

Field Detail

### WSA_MESSAGE_ID

    static final java.lang.String WSA_MESSAGE_ID

See Also:
  Constant Field Values

### WSA_RELATES_TO

    static final java.lang.String WSA_RELATES_TO

See Also:
  Constant Field Values

### WSA_RELATES_TO_RELATIONSHIP_TYPE

    static final java.lang.String WSA_RELATES_TO_RELATIONSHIP_TYPE

See Also:
  Constant Field Values

### WSA_TO

    static final java.lang.String WSA_TO

See Also:
  Constant Field Values

### WSA_REPLY_TO

    static final java.lang.String WSA_REPLY_TO

See Also:
  Constant Field Values

### WSA_FROM

    static final java.lang.String WSA_FROM

See Also:
  Constant Field Values

### WSA_FAULT_TO

    static final java.lang.String WSA_FAULT_TO

See Also:
  Constant Field Values

### WSA_ACTION

    static final java.lang.String WSA_ACTION

See Also:
  Constant Field Values

### EPR_SERVICE_NAME

    static final java.lang.String EPR_SERVICE_NAME

See Also:
  Constant Field Values

### EPR_REFERENCE_PARAMETERS

    static final java.lang.String EPR_REFERENCE_PARAMETERS

See Also:
  Constant Field Values

### EPR_ADDRESS

    static final java.lang.String EPR_ADDRESS

See Also:
  Constant Field Values

### WS_ADDRESSING_VERSION

    static final java.lang.String WS_ADDRESSING_VERSION

See Also:
  Constant Field Values

### WSA_DEFAULT_PREFIX

    static final java.lang.String WSA_DEFAULT_PREFIX

See Also:
  Constant Field Values

### PARAM_SERVICE_GROUP_CONTEXT_ID

    static final java.lang.String PARAM_SERVICE_GROUP_CONTEXT_ID

See Also:
  Constant Field Values

### IS_ADDR_INFO_ALREADY_PROCESSED

    static final java.lang.String IS_ADDR_INFO_ALREADY_PROCESSED

See Also:
  Constant Field Values

### DISABLE_ADDRESSING_FOR_IN_MESSAGES

    static final java.lang.String DISABLE_ADDRESSING_FOR_IN_MESSAGES

See Also:
  Constant Field Values

### ADDR_VALIDATE_ACTION

    static final java.lang.String ADDR_VALIDATE_ACTION

See Also:
  Constant Field Values

### ADDR_VALIDATE_INVOCATION_PATTERN

    static final java.lang.String ADDR_VALIDATE_INVOCATION_PATTERN

See Also:
  Constant Field Values

### ENDPOINT_REFERENCE

    static final java.lang.String ENDPOINT_REFERENCE

See Also:
  Constant Field Values

### USING_ADDRESSING

    static final java.lang.String USING_ADDRESSING

See Also:
  Constant Field Values

### ANONYMOUS

    static final java.lang.String ANONYMOUS

See Also:
  Constant Field Values

### ADDRESSING_REQUIREMENT_PARAMETER

    static final java.lang.String ADDRESSING_REQUIREMENT_PARAMETER

See Also:
  Constant Field Values

### ADDRESSING_UNSPECIFIED

    static final java.lang.String ADDRESSING_UNSPECIFIED

See Also:
  Constant Field Values

### ADDRESSING_OPTIONAL

    static final java.lang.String ADDRESSING_OPTIONAL

See Also:
  Constant Field Values

### ADDRESSING_REQUIRED

    static final java.lang.String ADDRESSING_REQUIRED

See Also:
  Constant Field Values

### REPLACE_ADDRESSING_HEADERS

    static final java.lang.String REPLACE_ADDRESSING_HEADERS

See Also:
  Constant Field Values

### DISABLE_ADDRESSING_FOR_OUT_MESSAGES

    static final java.lang.String DISABLE_ADDRESSING_FOR_OUT_MESSAGES

See Also:
  Constant Field Values

### ADD_MUST_UNDERSTAND_TO_ADDRESSING_HEADERS

    static final java.lang.String ADD_MUST_UNDERSTAND_TO_ADDRESSING_HEADERS

See Also:
  Constant Field Values

### SOAP_ROLE_FOR_ADDRESSING_HEADERS

    static final java.lang.String SOAP_ROLE_FOR_ADDRESSING_HEADERS

See Also:
  Constant Field Values

### ACTION_ATTRIBUTES

    static final java.lang.String ACTION_ATTRIBUTES

  A property pointing to an ArrayList of OMAttribute objects representing any attributes of the wsa:Action header.

  See Also:
    Constant Field Values

### MESSAGEID_ATTRIBUTES

    static final java.lang.String MESSAGEID_ATTRIBUTES

  A property pointing to an ArrayList of OMAttribute objects representing any attributes of the wsa:MessageID header.

  See Also:
    Constant Field Values

### INCLUDE_OPTIONAL_HEADERS

    static final java.lang.String INCLUDE_OPTIONAL_HEADERS

  When set to Boolean.TRUE this will cause the addressing out handler to output all populated addressing headers in a message, including any optional ones.

  See Also:
    Constant Field Values

### DISABLE_OUTBOUND_ADDRESSING_VALIDATION

    static final java.lang.String DISABLE_OUTBOUND_ADDRESSING_VALIDATION

  This property, if set to Boolean.TRUE, will mean that the addressing handler allows partially ws-addressed messages to be sent even if they are then invalid rather than throwing a fault.

  It is not clear how necessary this property is and it may be removed before the next release if it is not seen to be necessary - davidillsley@apache.org

  See Also:
    Constant Field Values

### REFERENCE_PARAMETER_PARAMETER

    static final java.lang.String REFERENCE_PARAMETER_PARAMETER

  This parameter is used to attach OMElement ReferenceParameters found in an EPR embedded in a WSDL to an AxisEndpoint object.

  See Also:
    Constant Field Values

### DISABLE_REF_PARAMETER_EXTRACT

    static final java.lang.String DISABLE_REF_PARAMETER_EXTRACT

  This parameter is used to decide whether the reference parameters in an inbound request message are to be processed or not.

  See Also:
    Constant Field Values

### WSAM_INVOCATION_PATTERN_PARAMETER_NAME

    static final java.lang.String WSAM_INVOCATION_PATTERN_PARAMETER_NAME

See Also:
  Constant Field Values

### WSAM_INVOCATION_PATTERN_SYNCHRONOUS

    static final java.lang.String WSAM_INVOCATION_PATTERN_SYNCHRONOUS

See Also:
  Constant Field Values

### WSAM_INVOCATION_PATTERN_ASYNCHRONOUS

    static final java.lang.String WSAM_INVOCATION_PATTERN_ASYNCHRONOUS

See Also:
  Constant Field Values

### WSAM_INVOCATION_PATTERN_BOTH

    static final java.lang.String WSAM_INVOCATION_PATTERN_BOTH

See Also:
  Constant Field Values

### FAULT_ACTION_NOT_SUPPORTED

    static final java.lang.String FAULT_ACTION_NOT_SUPPORTED

See Also:
  Constant Field Values

### FAULT_ACTION_NOT_SUPPORTED_REASON

    static final java.lang.String FAULT_ACTION_NOT_SUPPORTED_REASON

See Also:
  Constant Field Values

### FAULT_ADDRESSING_DESTINATION_UNREACHABLE

    static final java.lang.String FAULT_ADDRESSING_DESTINATION_UNREACHABLE

See Also:
  Constant Field Values

### ADDRESSING_IDENTITY_PREFIX

    static final java.lang.String ADDRESSING_IDENTITY_PREFIX

See Also:
  Constant Field Values

### ADDRESSING_IDENTITY_NS

    static final java.lang.String ADDRESSING_IDENTITY_NS

See Also:
  Constant Field Values

### XML_SIG_PREFIX

    static final java.lang.String XML_SIG_PREFIX

See Also:
  Constant Field Values

### XML_SIG_NS

    static final java.lang.String XML_SIG_NS

See Also:
  Constant Field Values

### IDENTITY

    static final java.lang.String IDENTITY

See Also:
  Constant Field Values

### IDENTITY_KEY_INFO

    static final java.lang.String IDENTITY_KEY_INFO

See Also:
  Constant Field Values

### IDENTITY_X509_DATA

    static final java.lang.String IDENTITY_X509_DATA

See Also:
  Constant Field Values

### IDENTITY_X509_CERT

    static final java.lang.String IDENTITY_X509_CERT

See Also:
  Constant Field Values

### IDENTITY_PARAMETER

    static final java.lang.String IDENTITY_PARAMETER

See Also:
  Constant Field Values

### QNAME_IDENTITY

    static final javax.xml.namespace.QName QNAME_IDENTITY

### QNAME_IDENTITY_KEY_INFO

    static final javax.xml.namespace.QName QNAME_IDENTITY_KEY_INFO

### QNAME_IDENTITY_X509_DATA

    static final javax.xml.namespace.QName QNAME_IDENTITY_X509_DATA

### QNAME_IDENTITY_X509_CERT

    static final javax.xml.namespace.QName QNAME_IDENTITY_X509_CERT

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.